#
# spec file for package muse (Version 0.4.8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  alsa alsa-devel freetype2 gpp libgpp libjpeg liblcms libmng libmng-devel libpng mesa mesa-devel mesasoft qt qt-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir alsa alsa-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libjpeg liblcms libmng libmng-devel libpng libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         muse
%define my_provides /tmp/my-provides
Summary:      Midi Music Editor
Version:      0.4.8
Release:      45
Copyright: GPL
Group: X11/Applications/Sound
BuildRoot: /tmp/%{name}-%{version}-root
URL: http://muse.seh.de
Source: muse-%{version}.tar.bz2
Patch1: muse-%{version}.dif

%description
MusE is a MIDI sequencer with recording and editing capabilities.
It is full multi-threaded with Qt2 GUI.

Authors:
--------
    Werner Schweer <ws@seh.de>

SuSE series: snd

%prep
%setup
%patch1 -p1

%build
QTDIR=/usr/lib/qt2 make depend
QTDIR=/usr/lib/qt2 make

%install
[ "$RPM_BUILD_ROOT" != "/" -a -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
make BINDIR=$RPM_BUILD_ROOT%{_bindir}\
     INSTDIR=$RPM_BUILD_ROOT%{_libdir}/muse\
     install
# exclude plugins from the provide-list
cat << EOF > %{my_provides}
grep -v $RPM_BUILD_ROOT%{_libdir}/muse | %{__find_provides}
EOF
chmod 755 %{my_provides}
%define __find_provides %{my_provides}

%clean
[ "$RPM_BUILD_ROOT" != "/" -a -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
rm -f %{my_provides}

%files
%{_bindir}/*
%{_libdir}/muse
%doc README README.de README.softsynth
%doc COPYING ChangeLog
%doc html
%doc demos
%doc plugins/freeverb/readme.txt

%changelog -n muse
* Mon Aug 20 2001 - tiwai@suse.de
- updated to muse-0.4.8.
* Thu Aug 16 2001 - tiwai@suse.de
- updated to muse-0.4.7.
* Fri Jul 13 2001 - tiwai@suse.de
- updated to muse-0.4.4.
* Mon Jul 09 2001 - tiwai@suse.de
- fixed neededforbuild.
* Thu Jul 05 2001 - tiwai@suse.de
- updated to muse-0.4.2.
* Thu Jun 07 2001 - tiwai@suse.de
- updated to muse-0.3.20.
* Fri May 11 2001 - tiwai@suse.de
- fixed build.
* Wed May 09 2001 - tiwai@suse.de
- updated to muse-0.3.19.
* Wed Apr 11 2001 - tiwai@suse.de
- updated to muse-0.3.16.
* Wed Apr 04 2001 - tiwai@suse.de
- updated to muse-0.3.15.
* Tue Mar 20 2001 - tiwai@suse.de
- fixed neededforbuild.
* Fri Mar 16 2001 - tiwai@suse.de
- updated to muse-0.3.12.
* Mon Mar 12 2001 - tiwai@suse.de
- updated to muse-0.3.11.
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Wed Mar 07 2001 - tiwai@suse.de
- Updated to muse-0.3.10.
* Mon Feb 26 2001 - tiwai@suse.de
- Updated to muse-0.3.9.
* Mon Feb 12 2001 - tiwai@suse.de
- Updated to muse-0.3.7.
* Fri Feb 09 2001 - tiwai@suse.de
- Updated to muse-0.3.6.
* Tue Jan 30 2001 - tiwai@suse.de
- Updated to muse-0.3.5.
* Fri Dec 01 2000 - ro@suse.de
- added liblcms to neededforbuild
* Thu Nov 23 2000 - tiwai@suse.de
- Updated to muse-0.2.12.
* Fri Nov 17 2000 - tiwai@suse.de
- Updated to muse-0.2.10.
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Wed Nov 08 2000 - tiwai@suse.de
- Updated to muse-0.2.7.
- Fixed to compile.
* Mon Nov 06 2000 - ro@suse.de
- fixed to compile (include spinlock before mc146818rtc)
* Fri Nov 03 2000 - tiwai@suse.de
- Updated to muse-0.2.6.
- Fixed spec file for long package-name support.
- Excluded plug-ins from provide list.
* Mon Oct 09 2000 - tiwai@suse.de
- Added libmng to neededforbuild
* Fri Oct 06 2000 - tiwai@suse.de
- Updated to muse-0.2.4
* Wed Sep 27 2000 - tiwai@suse.de
- Fixed compile for alpha and ppc.
* Tue Sep 26 2000 - tiwai@suse.de
- Update to 0.2.3
* Mon Aug 28 2000 - tiwai@suse.de
- Update to 0.2.1.
- Disable translations (due to change of qt-2.2).
* Wed Aug 02 2000 - tiwai@suse.de
- Initial version: 0.1.10.  No manual document is included.
